---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.beta.openshift.io/serving-cert-secret-name: dns-default-metrics-tls
    creationTimestamp: "2020-05-26T14:18:28Z"
    labels:
      dns.operator.openshift.io/owning-dns: default
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:dns.operator.openshift.io/owning-dns: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"593a0e04-d9ce-4074-b893-a2cc90ac09bf"}:
              .: {}
              f:apiVersion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:clusterIP: {}
          f:ports:
            .: {}
            k:{"port":53,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":53,"protocol":"UDP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":9154,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:dns.operator.openshift.io/daemonset-dns: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: dns-operator
      operation: Update
      time: "2020-05-26T14:18:28Z"
    name: dns-default
    namespace: openshift-dns
    ownerReferences:
    - apiVersion: operator.openshift.io/v1
      controller: true
      kind: DNS
      name: default
      uid: 593a0e04-d9ce-4074-b893-a2cc90ac09bf
    resourceVersion: "5901"
    selfLink: /api/v1/namespaces/openshift-dns/services/dns-default
    uid: e5c0cb55-ac1c-4203-8e6c-1cc6211e7976
  spec:
    clusterIP: 172.30.0.10
    ports:
    - name: dns
      port: 53
      protocol: UDP
      targetPort: dns
    - name: dns-tcp
      port: 53
      protocol: TCP
      targetPort: dns-tcp
    - name: metrics
      port: 9154
      protocol: TCP
      targetPort: metrics
    selector:
      dns.operator.openshift.io/daemonset-dns: default
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "53499"
  selfLink: /api/v1/namespaces/openshift-dns/services
